// Generic utilities for the module

#include <vector>
#include <string>
#include <chrono>

namespace VecUtils {

int getIndex(std::vector<int> &, int function);
int getIndex(std::vector<std::vector<int>> &, int function, int &hyb_index, int &vmm_index);

}  // namespace VecUtils

namespace TimeUtils {

std::string timeToStr(std::chrono::time_point<std::chrono::system_clock> timestamp);

}